# Summary

---

- [Contributing](CONTRIBUTING.md)
- [Design](DESIGN.md)
- [Release](ci/README.md)
  - [Release Process](ci/RELEASE.md)
  - [Release Automation](ci/AUTOMATION.md)
  - [Manual Release (historical)](ci/HISTORICAL_RELEASE.md)
- [Translations](translations.md)
- [Java to Kotlin Conversion Guide](contributing/java-to-kotlin-conversion-guide.md)
- [Architecture Decision Records](architecture/adr/README.md)
  - [Accepted]()
    - [0001 - Switch From Java to Kotlin](architecture/adr/0001-switch-from-java-to-kotlin.md)
    - [0002 - UI - Wrap Material Components in Atomic Design System](architecture/adr/0002-ui-wrap-material-components-in-atomic-design-system.md)
    - [0003 - Test - Switch Test Assertions From Truth to Assertk](architecture/adr/0003-switch-test-assertions-from-truth-to-assertk.md)
    - [0004 - Naming Conventions for Interfaces and Their Implementations](architecture/adr/0004-naming-conventions-for-interfaces-and-their-implementations.md)
    - [0005 - Central Project Configuration](architecture/adr/0005-central-project-configuration.md)
    - [0006 - White Label Architecture](architecture/adr/0006-white-label-architecture.md)
    - [0007 - Project Structure](architecture/adr/0007-project-structure.md)
  - [Proposed]()
  - [Rejected]()

---

[How to Document](HOW-TO-DOCUMENT.md)
